Bug 199634 - [maintainer update] audio/praat: update to 5.4.08
Summary: [maintainer update] audio/praat: update to 5.4.08
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Thomas Zander
URL:
Keywords: needs-qa, patch
Depends on:
Blocks:
 
Reported: 2015-04-23 01:39 UTC by Jason W. Bacon
Modified: 2015-05-15 14:09 UTC (History)
2 users (show)

See Also:


Attachments
Unified diff (7.82 KB, text/plain)
2015-04-23 01:39 UTC, Jason W. Bacon
no flags Details
Unified diff (10.62 KB, patch)
2015-04-23 02:18 UTC, Jason W. Bacon
no flags Details | Diff
Unified diff (8.98 KB, patch)
2015-05-11 17:23 UTC, Jason W. Bacon
jwb: maintainer-approval+
Details | Diff
Revised patch, svn diff vs head (9.31 KB, patch)
2015-05-15 11:51 UTC, Thomas Zander
riggs: maintainer-approval? (jwb)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jason W. Bacon freebsd_committer 2015-04-23 01:39:11 UTC
Created attachment 155887 [details]
Unified diff

Update to latest stable.  Dist file for prior version is no longer available at the developer's site.

New version requires FreeBSD 10.x.
Comment 1 Jason W. Bacon freebsd_committer 2015-04-23 02:18:46 UTC
Created attachment 155888 [details]
Unified diff
Comment 2 Thomas Zander freebsd_committer 2015-05-10 19:38:56 UTC
Patch leaves two patches for sys/melder.h.
Also does not build:

[...]
--- Sound_files.o ---
Sound_files.cpp:227:16: error: no member named 'get_ptr' in 'autofile'
                        if (feof (f.get_ptr()))
                                  ~ ^
1 error generated.
*** [Sound_files.o] Error code 1

Could you take a look?
Comment 3 Jason W. Bacon freebsd_committer 2015-05-11 17:23:02 UTC
Created attachment 156661 [details]
Unified diff

Previous patch was broken.  This one also enables building on pre-10.0.
Comment 4 Thomas Zander freebsd_committer 2015-05-15 11:51:20 UTC
Created attachment 156799 [details]
Revised patch, svn diff vs head

Actually, there is no LIB_DEPENDS on ICU needed. The recent version of the patch builds fine on 8.4, 9.3 and 10.1 without it.

This updated patch incorporates this change, as well as the svn meta-operations, e.g. the rename of files/patch-sys-melder.h -> files/patch-sys_melder.h

Let me know if you approve of this patch.
Comment 5 Jason W. Bacon freebsd_committer 2015-05-15 12:58:56 UTC
OK, I see that gtk2 requires ICU, so the LIB_DEPEND in praat is probably redundant.

New patch approved.
Comment 6 commit-hook freebsd_committer 2015-05-15 13:22:48 UTC
A commit references this bug:

Author: riggs
Date: Fri May 15 13:21:58 UTC 2015
New revision: 386406
URL: https://svnweb.freebsd.org/changeset/ports/386406

Log:
  - Un-break build
  - Update to upstream version 5.4.08
  - General cleanup / pet portlint

  PR:		199634
  Submitted by:	jwbacon@tds.net (maintainer)
  MFH:		2015Q2

Changes:
  head/audio/praat/Makefile
  head/audio/praat/distinfo
  head/audio/praat/files/makefile.defs.freebsd.alsa
  head/audio/praat/files/patch-sys-melder.h
  head/audio/praat/files/patch-sys_melder.h
  head/audio/praat/files/patch-sys_melder__alloc.cpp
  head/audio/praat/files/patch-sys_melder__files.cpp
  head/audio/praat/files/patch-sys_melder__strings.cpp
Comment 7 commit-hook freebsd_committer 2015-05-15 14:09:52 UTC
A commit references this bug:

Author: riggs
Date: Fri May 15 14:09:24 UTC 2015
New revision: 386407
URL: https://svnweb.freebsd.org/changeset/ports/386407

Log:
  MFH: r386406

  - Un-break build
  - Update to upstream version 5.4.08
  - General cleanup / pet portlint

  PR:		199634
  Submitted by:	jwbacon@tds.net (maintainer)
  Approved by:	portmgr (erwin)

Changes:
_U  branches/2015Q2/
  branches/2015Q2/audio/praat/Makefile
  branches/2015Q2/audio/praat/distinfo
  branches/2015Q2/audio/praat/files/makefile.defs.freebsd.alsa
  branches/2015Q2/audio/praat/files/patch-sys-melder.h
  branches/2015Q2/audio/praat/files/patch-sys_melder.h
  branches/2015Q2/audio/praat/files/patch-sys_melder__alloc.cpp
  branches/2015Q2/audio/praat/files/patch-sys_melder__files.cpp
  branches/2015Q2/audio/praat/files/patch-sys_melder__strings.cpp